#!/usr/bin/perl
use strict;
open(INFILE,"@ARGV[0]") or die "could not open @ARGV[0] for reading";
@ARGV[0]=~m/(.*)\./;
my $filename=$1.".gff";
my $expname=$1;
$expname~=s/\\/\//;
my @filenames=split(/\//,$expname);
my $size=@filenames;
$expname=@filenames[$size-1];
print "\n\n@ARGV[0]\n\n$filename\n\n";
open(OUTFILE,">$filename") or die "could not open $filename for writing";
my $chr;
my $start;
my $step;
my $fixedStep=0;
while(my $line = <INFILE>)
{
	if($line=~m/chrom/)
	{
		$line=~m/chrom=(chr[0-9_a-zA-Z]*) /;
		$chr=$1;
		$start=1;
		
		if($line=~m/fixedStep/)
		{
			$fixedStep=1;
			$line=~m/step=([0-9]*)/;
			$step=$1;	
		}
		if($line=~m/variableStep/)
		{
			$fixedStep=0;
			$line=~m/span=([0-9]*)/;
			$step=$1;	
		}
		
	}
	else
	{
		
		if(!($line=~m/track/))
		{
			
			if($fixedStep==1)
			{
				
				my $end=$start+$step-1;
				$line=~m/([0-9]*\.[0-9]*)/;
				my $score=$1;
		
				print OUTFILE "$chr\t$expname\t$expname\t$start\t$end\t$score\t+\t.\n";
				#print "$chr\t$expname\t$expname\t$start\t$end\t$score\t+\t.\t.\n";
		
		
			$start+=$step;
			}
			
			else
			{
			
				$line=~m/([0-9]*)\t/;
				my $start=$1;
				my $end=$start+$step-1;
				$line=~m/\t([0-9\.]*)/;
				my $score=$1;
				print OUTFILE "$chr\t$expname\t$expname\t$start\t$end\t$score\t+\t.\n";
			
			}
	
		}
	}
}
exit (0);
